package com.fjhx.service.process;

import com.fjhx.base.BaseService;
import com.fjhx.entity.process.ProcessNode;
import com.fjhx.entity.process.ProcessTenant;
import com.fjhx.params.ProcessNodeVo;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-12
 */
public interface ProcessNodeService extends BaseService<ProcessNode> {

    void add(ProcessNodeVo processNodeVo);

    void edit(ProcessNodeVo processNodeVo);

    Map<String, Object> getDetails(HashMap<String, String> condition);

}
